Bug 488487 - Liveusb-creator: 'module' object has no attribute 'PedDevice'
Liveusb-creator: 'module' object has no attribute 'PedDevice'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 11:27 EST by Mace Moneta
Modified: 2009-11-06 13:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 13:45:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2009-03-04 11:27:41 EST
Description of problem:

Running liveusb-creator on rawhide:

omega-10-desktop.iso selected
Verifying filesystem...
Verifying ISO MD5 checksum
Extracting live image to USB device...
Wrote to device at 31 MB/sec
Creating 2047MB persistent overlay
Installing bootloader...
'module' object has no attribute 'PedDevice'
LiveUSB creation failed!

Console shows:

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/liveusb/gui.py", line 340, in status
    self.textEdit.append(text)
TypeError: argument 1 of QTextEdit.append() has an invalid type


Version-Release number of selected component (if applicable):

liveusb-creator-3.5-3.fc11.noarch

How reproducible:

Always

Steps to Reproduce:
1.Run liveusb-creator
2.
3.
  
Actual results:

Error

Expected results:

No error

Additional info:
Comment 1 Luke Macken 2009-03-08 21:25:16 EDT
This issue should be resolved in version 3.6 of the liveusb-creator.  Please re-open this ticket if you still encounter this problem with the latest version.  Thanks!
Comment 2 Mace Moneta 2009-03-08 21:58:38 EDT
The problem persists:

liveusb-creator-3.6-1.fc11.noarch

omega-10-desktop.iso selected
Verifying filesystem...
Verifying ISO MD5 checksum
Extracting live image to USB device...
Wrote to device at 25 MB/sec
Creating 2047MB persistent overlay
Setting up OLPC boot file...
Installing bootloader...
'module' object has no attribute 'PedDevice'
LiveUSB creation failed!

Console shows:

# liveusb-creator
/usr/lib/python2.6/site-packages/liveusb/gui.py:206: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  self.status(e.message)
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/liveusb/gui.py", line 377, in status
    self.textEdit.append(text)
TypeError: argument 1 of QTextEdit.append() has an invalid type
Comment 3 Michael B. Weiner 2009-03-26 13:40:12 EDT
I too can replicate the error, even with the latest version 3.6.1-fc11. 

Installing bootloader...
'module' object has no attribute 'PedDevice'
LiveUSB creation failed!

Is there a fix for this yet? I have repeated the error, regardless of the size of the persistent partition.
Comment 4 Bug Zapper 2009-06-09 07:51:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Luke Macken 2009-11-06 13:45:16 EST
This issue should be resolved in the latest version of the liveusb-creator.  http://liveusb-creator.fedorahosted.org

Please re-open this bug if you are still experiencing this issue. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.